## kdevelop-trinity 3.5.13.2

=== lib/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( util )
add_subdirectory( interfaces )
add_subdirectory( widgets )
add_subdirectory( antlr )
add_subdirectory( catalog )
add_subdirectory( cppparser )
add_subdirectory( astyle )

include_directories(
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kdevelop (shared) #########################

tde_add_library( kdevelop SHARED
  SOURCES dummy.cpp
  VERSION 1.0.0
  EMBED kdevutil-static kdevinterfaces-static
  LINK
    kdevpropertyeditor-shared
    kscript-shared kparts-shared ktexteditor-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
