=== buildtools/ant/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevantproject.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevantproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevantproject )


##### libkdevantproject (module) ################

tde_add_kpart( libkdevantproject AUTOMOC
  SOURCES
    antprojectpart.cpp antoptionswidget.ui classpathwidget.ui
  LINK kdevbuildbase-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
