=== buildtools/autotools/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/buildtools/lib/widgets
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/buildtools/lib/widgets
  ${CMAKE_SOURCE_DIR}/buildtools/lib/parsers/autotools
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extras
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevautoproject.desktop kdevkdeautoproject.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevautoproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevautoproject )


##### libkdevautoproject (module) ###############

tde_add_kpart( libkdevautoproject AUTOMOC
  SOURCES
    autoprojectpart.cpp autoprojectwidget.cpp
    configureoptionswidget.cpp configureoptionswidgetbase.ui
    subprojectoptionsdlg.cpp subprojectoptionsdlgbase.ui
    targetoptionsdlg.cpp targetoptionsdlgbase.ui
    addservicedlg.cpp addservicedlgbase.ui
    addapplicationdlg.cpp addapplicationdlgbase.ui
    addtargetdlg.cpp addtargetdlgbase.ui addsubprojectdlg.cpp
    addfiledlgbase.ui addfiledlg.cpp removefiledlgbase.ui
    removefiledlg.cpp addicondlgbase.ui addicondlg.cpp
    addtranslationdlg.cpp addprefixdlg.cpp
    kfilednddetailview.cpp kfiledndiconview.cpp
    fileselectorwidget.cpp misc.cpp addsubprojectdlgbase.ui
    removetargetdlg.cpp removetargetdlgbase.ui
    choosetargetdialog.cpp choosetargetdlgbase.ui
    addexistingdlgbase.ui addexistingfilesdlg.cpp
    addexistingdirectoriesdlg.cpp kimporticonview.cpp
    autosubprojectview.cpp autodetailsview.cpp
    autolistviewitems.cpp managecustomcommandsbase.ui
    managecustomcommand.cpp autoprojectviewbase.ui
    autotoolsaction.cpp makefilehandler.cpp
  LINK kdevautotoolsparser-static kdevbuildbase-shared kdevbuildtoolswidgets-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
