=== buildtools/pascal/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/buildtools/lib/widgets
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/buildtools/lib/widgets/
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extras
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevpascalproject.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevpascalproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevpascalproject )


##### libkdevpascalproject (module) #############

tde_add_kpart( libkdevpascalproject AUTOMOC
  SOURCES
    pascalproject_part.cpp pascalproject_widget.cpp
    pascalproject_optionsdlgbase.ui pascalprojectoptionsdlg.cpp
    pascalglobaloptionsdlg.cpp service.cpp
  LINK kdevbuildbase-shared kdevbuildtoolswidgets-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
