=== doc/extras/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Slavek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( w3c )

install(
  FILES
    sdl.toc opengl.toc
  DESTINATION ${DATA_INSTALL_DIR}/kdevdocumentation/tocs
)
