=== kdevdesigner/designer/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( -DDESIGNER -UQT_NO_ASCII_CAST )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kdevdesigner/shared
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    kdevdesigner_part.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )

install( FILES
    kdevdesigner_part.rc kdevdesigner_part_sh.rc
  DESTINATION ${DATA_INSTALL_DIR}/kdevdesignerpart )

add_subdirectory( pics )


##### libkdevdesignerpart (module) ##############

set( SRCS
  about.ui dbconnection.ui gotolinedialog.ui
  newform.ui actionlistview.cpp asciivalidator.cpp
  command.cpp connectionitems.cpp connectiontable.cpp
  customwidgeteditor.ui formsettings.ui
  multilineeditor.ui customwidgeteditorimpl.cpp
  database.cpp dbconnectioneditor.ui iconvieweditor.ui
  paletteeditor.ui dbconnectionimpl.cpp dbconnectionsimpl.cpp
  dbconnections.ui listboxeditor.ui paletteeditoradvanced.ui
  defs.cpp designerapp.cpp designerappiface.cpp
  editfunctionsimpl.cpp filechooser.cpp formfile.cpp
  formsettingsimpl.cpp formwindow.cpp hierarchyview.cpp
  iconvieweditorimpl.cpp layout.cpp listboxdnd.cpp
  kdevdesigner_part.cpp actiondnd.cpp actioneditorimpl.cpp
  listboxeditorimpl.cpp listboxrename.cpp listdnd.cpp
  listeditor.ui pixmapcollectioneditor.ui listviewdnd.cpp
  listvieweditorimpl.cpp mainwindow.cpp listvieweditor.ui
  pixmapfunction.ui startdialog.ui mainwindowactions.cpp
  menubareditor.cpp metadatabase.cpp multilineeditorimpl.cpp
  newformimpl.cpp orderindicator.cpp myiconloader.cpp
  outputwindow.cpp paletteeditoradvancedimpl.cpp
  paletteeditorimpl.cpp pixmapchooser.cpp
  pixmapcollection.cpp popupmenueditor.cpp previewframe.cpp
  preferences.ui tableeditor.ui designeraction.cpp
  previewwidget.ui variabledialog.ui actioneditor.ui
  previewwidgetimpl.cpp project.cpp projectsettingsimpl.cpp
  projectsettings.ui wizardeditor.ui configtoolboxdialog.ui
  propertyeditor.cpp propertyobject.cpp qcompletionedit.cpp
  replacedialog.ui connectiondialog.ui editfunctions.ui
  resource.cpp sizehandle.cpp sourceeditor.cpp
  richtextfontdialog.ui createtemplate.ui finddialog.ui
  sourcefile.cpp startdialogimpl.cpp styledbutton.cpp
  syntaxhighlighter_html.cpp tableeditorimpl.cpp
  timestamp.cpp variabledialogimpl.cpp widgetaction.cpp
  widgetfactory.cpp wizardeditorimpl.cpp workspace.cpp
)

tde_moc( SRCS
  actiondnd.h actioneditorimpl.h actionlistview.h
  asciivalidator.h command.h connectionitems.h
  connectiontable.h customwidgeteditorimpl.h database.h
  dbconnectionimpl.h dbconnectionsimpl.h editfunctionsimpl.h
  filechooser.h formfile.h formsettingsimpl.h
  formwindow.h hierarchyview.h iconvieweditorimpl.h
  layout.h listboxdnd.h listboxeditorimpl.h listboxrename.h
  listdnd.h listviewdnd.h listvieweditorimpl.h mainwindow.h
  menubareditor.h multilineeditorimpl.h newformimpl.h
  orderindicator.h outputwindow.h paletteeditoradvancedimpl.h
  paletteeditorimpl.h pixmapchooser.h popupmenueditor.h
  previewframe.h previewwidgetimpl.h project.h
  projectsettingsimpl.h propertyeditor.h qcompletionedit.h
  sizehandle.h sourceeditor.h sourcefile.h startdialogimpl.h
  styledbutton.h tableeditorimpl.h timestamp.h
  variabledialogimpl.h widgetaction.h widgetfactory.h
  wizardeditorimpl.h workspace.h
 )


tde_add_kpart( libkdevdesignerpart AUTOMOC
  SOURCES ${SRCS}
  LINK
    kdevqui-static shared-static kinterfacedesigner-shared
    kio-shared kparts-shared qassistantclient
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
