=== languages/ada/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )

# FIXME KDE_CXXFLAGS = $(USE_EXCEPTIONS)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/antlr
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevadasupport.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevadasupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevadasupport )


##### libkdevadasupport (module) ################

tde_add_kpart( libkdevadasupport AUTOMOC
  SOURCES
    adasupportpart.cpp problemreporter.cpp backgroundparser.cpp
    addclassdlg.ui addclass.cpp configproblemreporter.ui
    ada_utils.cpp adasupport.cpp AdaLexer.cpp AdaParser.cpp
    AdaTreeParserSuper.cpp AdaStoreWalker.cpp
  LINK antlr-static kdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
