=== languages/pascal/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( file_templates )
add_subdirectory( app_templates )
add_subdirectory( compiler )
add_subdirectory( doc )

# FIXME KDE_CXXFLAGS = $(USE_EXCEPTIONS)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/antlr
  ${CMAKE_SOURCE_DIR}/lib/catalog
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevpascalsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevpascalsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevpascalsupport )
install( FILES pascaltemplates DESTINATION ${DATA_INSTALL_DIR}/kdevabbrev/templates )


##### libkdevpascalsupport (module) #############

tde_add_kpart( libkdevpascalsupport AUTOMOC
  SOURCES
    pascalsupport_part.cpp PascalLexer.cpp PascalParser.cpp
    PascalStoreWalker.cpp backgroundparser.cpp
    configproblemreporter.ui problemreporter.cpp
  LINK antlr-static kdevcatalog-shared kdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
