=== languages/python/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevpythonsupport.desktop pydoc.protocol DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kde_pydoc.py DESTINATION ${DATA_INSTALL_DIR}/kio_pydoc )
install( FILES kdevpythonsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport )


##### libkdevpythonsupport (module) #############

tde_add_kpart( libkdevpythonsupport AUTOMOC
  SOURCES
    pythonsupportpart.cpp pythonconfigwidget.cpp
    pythonconfigwidgetbase.ui pythonimplementationwidget.cpp
    qtdesignerpythonintegration.cpp
  LINK designerintegration-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kio_pydoc (module) ########################

tde_add_kpart( kio_pydoc
  SOURCES pydoc.cpp
  LINK kio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
