=== lib/interfaces/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( extensions )
add_subdirectory( external )
add_subdirectory( extras )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/cppparser
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### headers ###################################

install( FILES
    kdevlanguagesupport.h kdevmainwindow.h kdevpartcontroller.h
    kdevplugin.h kdevproject.h kdevcore.h kdevcoderepository.h
    codemodel.h codemodel_utils.h codemodel_treeparser.h
    kdevgenericfactory.h kdevapi.h kdevdesignerintegration.h
    kdevplugincontroller.h kdevplugininfo.h KDevCoreIface.h
    KDevPartControllerIface.h katedocumentmanagerinterface.h
    hashedstring.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kdevelop/interfaces )

install( FILES
    kdevelopproject.desktop kdeveloplanguagesupport.desktop
    kdevelopplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )


##### kdevinterfaces (static) ###################

tde_add_library( kdevinterfaces STATIC_PIC AUTOMOC
  SOURCES
    kdevcore.cpp kdevproject.cpp kdevlanguagesupport.cpp
    kdevpartcontroller.cpp kdevapi.cpp KDevCoreIface.skel
    kdevmainwindow.cpp KDevPartControllerIface.skel
    kdevplugin.cpp kdevcoderepository.cpp
    codemodel.cpp codemodel_treeparser.cpp
    codemodel_utils.cpp kdevdesignerintegration.cpp
    kdevplugincontroller.cpp kdevplugininfo.cpp
    KDevCoreIface.cpp KDevPartControllerIface.cpp
    katedocumentmanagerinterface.cpp
    katedocumentmanagerinterface.skel kdevprojectiface.cpp
    kdevprojectiface.skel kdevdesignerintegrationiface.cpp
    kdevdesignerintegrationiface.skel hashedstring.cpp
)
