=== lib/util/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### headers ###################################

install( FILES
    domutil.h execcommand.h filetemplate.h urlutil.h
    configwidgetproxy.h rurl.h kscriptactionmanager.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kdevelop/util )


##### kdevutil (static) #########################

tde_add_library( kdevutil STATIC_PIC AUTOMOC
  SOURCES
    blockingkprocess.cpp configwidgetproxy.cpp
    domutil.cpp execcommand.cpp filetemplate.cpp
    kdeveditorutil.cpp kdevjobtimer.cpp
    kdevshellwidget.cpp kscriptactionmanager.cpp
    rurl.cpp settings.cpp urlutil.cpp
)
