=== debian/changelog ===
kdevelop-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 04:28:36 +0200

kdevelop-trinity (4:3.5.10-0ubuntu6) karmic; urgency=low

  * Repaired debugger widget dbgshell issue

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 07 Sep 2009 17:52:00 -0600

kdevelop-trinity (4:3.5.10-0ubuntu5) karmic; urgency=low

  * Repaired libtool problems

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Aug 2009 11:26:00 -0600

kdevelop-trinity (4:3.5.10-0ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdevelop-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 March 2009 23:07:00 -0600

kdevelop-trinity (4:3.5.10-0ubuntu1~intrepid1) intrepid; urgency=low

  * Added -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 02 Dec 2008 09:18:00 -0600

kdevelop (4:3.5.3-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Remove kubuntu_01_fix_missing_output.diff - applied upstream
    - Bump version of build-dep kdelibs4-dev and libcvsservice-dev to
      3.5.10

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:54:26 -0400

kdevelop (4:3.5.1-0ubuntu2) hardy; urgency=low

  * Add kubuntu_01_fix_missing_output.diff from upstream,
    fixes "some lines in the build outputview disappear"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Mar 2008 00:03:04 +0000

kdevelop (4:3.5.1-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Upgrade build-deps to libdb4.6-dev, python2.5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:08 +0000

kdevelop (4:3.5.0-2ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change: kubuntu_01_svn_724231_qmake.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:50 +0000

kdevelop (4:3.5.0-2) unstable; urgency=low

  * Apply patch for user interface lag on large projects.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 28 Oct 2007 22:46:07 +0100

kdevelop (4:3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Replace Build-Depends on automake1.9 by automake (>= 1:1.10)
  * Remove patches included upstream:
    + 09_fix_gdb_focus.diff
  * Update menu entry to use the Applications section

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 17 Oct 2007 08:01:52 +0200

kdevelop (4:3.5.0-0ubuntu3) hardy; urgency=low

  * Add kubuntu_02_user_interface_lag.diff
    Closes LP: #156654
    Upstream: http://websvn.kde.org/?view=rev&revision=728690

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Nov 2007 17:34:08 +0000

kdevelop (4:3.5.0-0ubuntu2) gutsy; urgency=low

  * Add kubuntu_01_svn_724231_qmake.diff as recommended by upstream to fix QMake

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Oct 2007 16:34:11 +0100

kdevelop (4:3.5.0-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:28 +0100

kdevelop (4:3.4.1-3ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining change: .pot patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Aug 2007 12:04:37 +0100

kdevelop (4:3.4.1-3) unstable; urgency=low

  * Make kdevelop binNMU safe using Michael Biebl's patch (Closes: #431360).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 02 Jul 2007 07:12:32 +0200

kdevelop (4:3.4.1-2) unstable; urgency=low

  * Apply patch to prevent integrated debugger losing focus (Closes: #427949).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 28 Jun 2007 20:24:01 +0200

kdevelop (4:3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update ltmain.sh in application templates (Closes: #351358).
  * Suggest kdebase-kio-plugins to view documentation (Closes: #412108).
  * Add Build-Depends on libsvn-dev to build KDevelop's SVN ioslave,
    drop Suggests on kdesdk-kio-plugins | kdesvn-kio-plugins.
  * Replace Build-Depends on libdb4.3 by libdb4.4.
  * Remove patches applied upstream:
    + 01_kofficepart_template.diff
    + 04_cppcurses_template.diff
    + 06_kicker_template.diff
    + 07_qmake_parser.diff
    + 08_fix_gcc43_ftbfs.diff
  * Add new docs files to kdevelop-doc.install.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 06 Jun 2007 09:59:46 +0200

kdevelop (4:3.4.1-0ubuntu2) gutsy; urgency=low

  * Add build-dep on libsvn-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 May 2007 09:42:30 +0000

kdevelop (4:3.4.1-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * Remove patches applied upstream
    - 01_kofficepart_template.diff
    - 04_cppcurses_template.diff
    - 06_kicker_template.diff
    - 07_qmake_parser.diff
    - 08_fix_gcc43_ftbfs.diff
  * Add new docs files to kdevelop-doc.install
	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 18:38:37 +0100

kdevelop (4:3.4.0-3ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:57 +0100

kdevelop (4:3.4.0-3) unstable; urgency=low

  * Apply patch from Martin Michlmayr for GCC 4.3 FTBFS (Closes: #417343).
  * Add note about Persistent Class Store in README.Debian (Closes: #409364).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 02 Apr 2007 14:41:41 +0200

kdevelop (4:3.4.0-2) unstable; urgency=low

  * Rework Suggests and Recommends:
    + Move Suggests on kdbg, a2ps, enscript and gv.
    + Add Suggests on cmake, ruby and python.
    + Make gdb (>= 6.4) a Recommends.
  * Fix kicker application template (Closes: #235867).
  * Fix qmake manager parser bug introduced in 3.4.0.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 11 Feb 2007 09:02:59 +0100

kdevelop (4:3.4.0-1) unstable; urgency=low

  * New upstream release.
    + Reformat code works after creating a new project (Closes: #330028).

