=== debian/control ===
Source: kdevelop-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Jeremy Lain <jeremy.laine@m4x.org>
Build-Depends: cdbs (>= 0.4.38), debhelper (>= 5), quilt, cmake, kdelibs4-trinity-dev (>= 4:3.5.10), gettext, kdelibs4-trinity-doc, libtqtinterface-doc, flex, python, libcvsservice-trinity-dev (>= 4:3.5.10), groff-base, libsvn-dev, libaprutil1-dev, libdb-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdevelop-trinity
Architecture: any
Depends: ${shlibs:Depends}, kdevelop-data-trinity (>= ${source:Version}), kdebase-trinity-bin
Replaces: kdevelop-kde3 (<< 4:3.5.13)
Breaks: kdevelop-kde3 (<< 4:3.5.13)
Recommends: kdevelop-trinity-doc, make, libtool, autoconf, automaken, gdb (>= 6.4)
Suggests: libtqtinterface-dev, kdelibs4-trinity-dev, sgmltools-lite, gettext, ark-trinity, kbabel-trinity, kiconedit-trinity, kdesdk-scripts-trinity, graphviz, kdebase-kio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, kdelibs4-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python
Description: An IDE for Unix/X11
 KDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
  Homepage: http://www.kdevelop.org/

Package: kdevelop-trinity-doc
Section: doc
Architecture: all
Replaces: kdevelop-kde3-doc (<< 4:3.5.13)
Breaks: kdevelop-kde3-doc (<< 4:3.5.13)
Description: An IDE for Unix/X11 - documentation
 KDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains documentation for KDevelop.
 .
  Homepage: http://www.kdevelop.org/

Package: kdevelop-data-trinity
Architecture: all
Replaces: kdevelop-data-kde3 (<< 4:3.5.13)
Breaks: kdevelop-data-kde3 (<< 4:3.5.13)
Description: An IDE for Unix/X11 - data
 KDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains arch independent data for KDevelop.
 .
  Homepage: http://www.kdevelop.org/

Package: kdevelop-trinity-dev
Architecture: any
Depends: kdevelop-trinity (= ${binary:Version}), kdelibs4-trinity-dev
Replaces: kdevelop-kde3-dev (<< 4:3.5.13)
Breaks: kdevelop-kde3-dev (<< 4:3.5.13)
Description: An IDE for Unix/X11 - development files
 KDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains development files for KDevelop.
 .
  Homepage: http://www.kdevelop.org/
